Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ha.framework.interfaces
Interface DistributedState.DSListenerEx

All Known Implementing Classes:
  ClusterSyncEntityInstanceCache, JGCacheInvalidationBridge

Enclosing interface:
  DistributedState

public static interface DistributedState.DSListenerEx

A generalization of the DSListener that supports the Serializable key type. When a particular key in a category of the DistributedState service gets modified, all listeners will be notified of DS changes for that category.

Method Summary
`void` | `keyHasBeenRemoved(String category, Serializable key, Serializable previousContent, boolean locallyModified)` Called whenever a key has been removed from a category the called object had subscribed in.
`void` | `valueHasChanged(String category, Serializable key, Serializable value, boolean locallyModified)` Called whenever a key has been added or modified in the category the called object has subscribed in.

Method Detail

### valueHasChanged

    public void valueHasChanged(String category,
                                Serializable key,
                                Serializable value,
                                boolean locallyModified)

  Called whenever a key has been added or modified in the category the called object has subscribed in.

  Parameters:
    `category` - The category of the modified/added entry
    `key` - The key that has been added or its value modified
    `value` - The new value of the key

### keyHasBeenRemoved

    public void keyHasBeenRemoved(String category,
                                  Serializable key,
                                  Serializable previousContent,
                                  boolean locallyModified)

  Called whenever a key has been removed from a category the called object had subscribed in.

  Parameters:
    `category` - The category under which a key has been removed
    `key` - The key that has been removed
    `previousContent` - The previous content of the key that has been removed

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.